import React, {useEffect} from 'react'
import { View, Text } from 'react-native';
import {connect} from 'react-redux';

const mapStateToProps = state => {
  return {
    profile: state.profile
  }
}

function Splash({navigation, profile}) {

  useEffect(() => {
    setTimeout(() => {
      !profile.token ? navigation.reset({
        index: 0,
        routes: [{ name: 'Login' }],
      }) : navigation.navigate('Home')
    }, 2000)
  }, [])

  return (
    <View style={{justifyContent: 'center', alignItems: 'center', flex: 1}}>
      <Text>Splash</Text>
    </View>
  )
}

export default connect(mapStateToProps)(Splash);
